Subject: Re: bug#5140: shell mode color coding for bash

From: Stefan Monnier <[email-masked]>
Date: Mon, 07 Dec 2009 10:20:43 -0500

> When editing a bash script with nested " and ` marks the color coding gets
> confused, coloring most text as a string. Sample code to reproduce the color
> coding follows (this code is debugged and runs as expected, so syntax should
> be ok)

You may want to upgrade to Emacs-23 where this has been fixed,

        Stefan